Cyberduck Mountain Duck CLI

#1294 closed defect (worksforme)

FTP resume does not work reliably

Reported by: mimic Owned by: dkocher
Priority: highest Milestone: 3.0.2
Component: core Version: 3.0.1
Severity: major Keywords:
Cc: Architecture:
Platform:

Description

Resuming large (few 100 MB) binary files in my experience often lead to invalid files uploaded. It happens that the resulting file on a server is a few hounded MB larger than original. While resuming the "uploaded" field in those cases show invalid (smaller) amount of transfered file.

For example, if a transfer was stopped at 400 MB of a 500 MB large file resuming (with "resume" button in Transfers window) starts for example at 300 MB. Obviously this is not just a bug in a transfer reporting but it really starts sending a file from that point. And the result is a 600 MB large file.

It seems that Cyberduck is not using proper value to calculate the resume point.

I saw in some other FTP clients that they first download a few tens KB of a file which they will resume to check if that matches the data in a file at the resume point. It is not fail proof concept but it is better than nothing and makes appending files (thus resuming FTP transfers) safer. It should be at least an option to do that.

Change History (4)

comment:1 Changed on Apr 9, 2008 at 11:50:25 AM by anonymous

I second that.

comment:2 Changed on May 21, 2008 at 4:33:59 PM by anonymous

  • Version changed from 2.8 to 3.0

i third that, for sure.

comment:3 Changed on May 23, 2008 at 1:04:21 PM by anonymous

  • Priority changed from normal to highest
  • Version changed from 3.0 to 3.0.1

got the same prob here. any resume of download big files result in a wrong filesize; file is always to big. can this please be fixed? i´m on osx 10.5.2, cyberduck version 3.0.1

comment:4 Changed on Jul 21, 2008 at 4:54:16 PM by dkocher

  • Milestone set to 3.0.2
  • Resolution set to worksforme
  • Status changed from new to closed
Note: See TracTickets for help on using tickets.
swiss made software